//
//  ViewController.m
//  zhoulijuan
//
//  Created by fanzhong on 15/9/8.
//  Copyright (c) 2015年 misszhou. All rights reserved.
//

#import "ViewController.h"
#define dateSpan 30//时间滚轮跨度 前后多少年
// 屏幕高度
#define Screen_Height [UIScreen mainScreen].bounds.size.height
// 屏幕宽度
#define Screen_Width [UIScreen mainScreen].bounds.size.width
@interface ViewController ()<UIPickerViewDataSource,UIPickerViewDelegate>
{
    UIButton *button;
}
@property (nonatomic, strong) UIView* selectView;
@property (nonatomic, strong) UIPickerView* pickerView;
@property (nonatomic, strong) UIPickerView* secPickView;
@property (nonatomic, strong) UIButton* sureBtn;
@property (nonatomic, strong) UIButton* cancelBtn;
@property(nonatomic,strong)NSArray *oneComponentData;//第一个选择器第一列的数据
@property(nonatomic,strong)NSDate *data;
@property(nonatomic,copy)NSString *currentYear;//当前年份;
@property(nonatomic,copy)NSString *cureentMonth;//当前月份;


@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view, typically from a nib.
    ///// 获取系统当前日期
    _data = [NSDate date];
    self.currentYear = @"2015";
    [self setUpSelectView];
    
    button = [UIButton buttonWithType:UIButtonTypeCustom];
    button.frame = CGRectMake(0, 100, Screen_Width/ 3, 50);
    [button setTitle:self.currentYear forState:UIControlStateNormal];
    [button setTitleColor:[UIColor blackColor] forState:UIControlStateNormal];
    button.titleLabel.font = [UIFont systemFontOfSize:17];
    [button setImage:[UIImage imageNamed:@"down_arrow.png"] forState:UIControlStateNormal];
    [button setImageEdgeInsets:UIEdgeInsetsMake(0, 100, 0, 0)];
    [button addTarget:self action:@selector(clickAction:) forControlEvents:UIControlEventTouchUpInside];
    [self.view addSubview:button];
}
- (void)clickAction:(UIButton *)btn
{
        _oneComponentData = @[@"2005",@"2006",@"2007",@"2008",@"2009",@"2010",@"2011",@"2012",@"2013",@"2014",@"2015",@"2016",@"2017",@"2018",@"2019",@"2020"];
        [_secPickView removeFromSuperview];
        [_selectView addSubview:_pickerView];
        [_pickerView becomeFirstResponder];
        _selectView.hidden = !_selectView.hidden;
}
- (void)setUpSelectView
{
    if (_selectView == nil) {
        
        _selectView = [[UIView alloc] initWithFrame:CGRectMake(0, Screen_Height - 200, Screen_Width, 200)];
        _selectView.backgroundColor = [UIColor lightGrayColor];
        _selectView.hidden = YES;
        [self.view addSubview:_selectView];
        [self.view bringSubviewToFront:_selectView];
        
    }
    if (_cancelBtn == nil) {
        
        _cancelBtn = [UIButton buttonWithType:UIButtonTypeSystem];
        _cancelBtn.frame = CGRectMake(10, 5, 30, 20);
        [_cancelBtn setTitle:@"取消" forState:UIControlStateNormal];
        [_cancelBtn addTarget:self action:@selector(cancelBtnEvent) forControlEvents:UIControlEventTouchUpInside];
        [_selectView addSubview:_cancelBtn];
        
    }
    if (_sureBtn == nil) {
        
        _sureBtn = [UIButton buttonWithType:UIButtonTypeSystem];
        _sureBtn.frame = CGRectMake(Screen_Width - 40, 5, 30, 20);
        [_sureBtn setTitle:@"确定" forState:UIControlStateNormal];
        [_sureBtn addTarget:self action:@selector(sureBtnEvent:) forControlEvents:UIControlEventTouchUpInside];
        [_selectView addSubview:_sureBtn];
        
    }
    if (_pickerView == nil) {
        
        _pickerView = [[UIPickerView alloc] initWithFrame:CGRectMake(0, 30, Screen_Width, 120)];
        _pickerView.delegate = self;
        _pickerView.dataSource = self;
        _pickerView.showsSelectionIndicator = YES;
        [_secPickView selectRow:dateSpan inComponent:0 animated:YES];
        _pickerView.backgroundColor = [UIColor whiteColor];
        
    }
    
}
- (NSInteger)numberOfComponentsInPickerView:(UIPickerView*)pickerView
{
    return 1;
}
- (NSInteger)pickerView:(UIPickerView*)pickerView numberOfRowsInComponent:(NSInteger)component
{
        return _oneComponentData.count;
}
#pragma mark 实现协议UIPickerViewDelegate方法
- (NSString*)pickerView:(UIPickerView*)pickerView titleForRow:(NSInteger)row forComponent:(NSInteger)component
{
        return [self.oneComponentData objectAtIndex:row];

}
- (void)cancelBtnEvent
{
    _selectView.hidden = YES;
}
- (void)sureBtnEvent:(UIButton*)sender
{
        NSInteger row = [self.pickerView selectedRowInComponent:0];
        NSString* selected = [self.oneComponentData objectAtIndex:row];
        [button setTitle:selected forState:UIControlStateNormal];
        _selectView.hidden = YES;

}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
